## pmbootstrap 3.8.0

=== docs/Makefile ===
default: venv
	. .venv/bin/activate && sphinx-build \
		--fail-on-warning \
		. \
		../public

venv: .venv/done
.venv/done:
	python3 -m venv .venv
	. .venv/bin/activate && pip install "pmos-theme @ git+https://gitlab.postmarketos.org/postmarketOS/docs.postmarketos.org.git/#subdirectory=theme"
	touch $@

run:
	python3 -m http.server -b 127.0.0.1 8081 -d ../public

.PHONY: default venv run

## pmbootstrap 1.50.1

=== debian/changelog ===
pmbootstrap (1.50.1-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Mon, 12 Dec 2022 17:18:16 -0500

pmbootstrap (1.50.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Mon, 21 Nov 2022 17:04:16 -0500

pmbootstrap (1.49.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sat, 12 Nov 2022 21:52:12 -0500

pmbootstrap (1.48.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sun, 30 Oct 2022 15:54:45 -0400

pmbootstrap (1.46.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Update email

 -- Ben Westover <me@benthetechguy.net>  Sun, 02 Oct 2022 16:46:04 -0400

pmbootstrap (1.46.0-1) experimental; urgency=medium

  * Initial Package (Closes: #1001907)

 -- Ben Westover <kwestover.kw@gmail.com>  Sun, 18 Sep 2022 12:32:34 -0400

=== debian/control ===
Source: pmbootstrap
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ben Westover <me@benthetechguy.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
Homepage: https://git.sr.ht/~postmarketos/pmbootstrap
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: pmbootstrap
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Chroot/build/flash tool to develop and install postmarketOS
 pmbootstrap is the central tool used for development and installation
 of postmarketOS. It works using Alpine chroots to avoid installing
 software on the host's machine.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pmbootstrap
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pmbootstrap/ --install-scripts=/usr/share/pmbootstrap/
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://git.sr.ht/~postmarketos/pmbootstrap/refs .*/archive/(.+)\.tar\.gz

## pmbootstrap 1.52.0

=== debian/changelog ===
pmbootstrap (1.52.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Thu, 20 Apr 2023 22:48:24 -0400

pmbootstrap (1.51.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sun, 05 Mar 2023 21:48:24 -0500

## pmbootstrap 1.53.0

=== debian/changelog ===
pmbootstrap (1.53.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Fri, 19 May 2023 10:24:12 -0400

## pmbootstrap 2.0.0

=== debian/changelog ===
pmbootstrap (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Sun, 06 Aug 2023 19:10:10 -0400

## pmbootstrap 2.1.0

=== debian/changelog ===
pmbootstrap (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Add egg-info to clean target (Fixes: #1048249)

 -- Ben Westover <me@benthetechguy.net>  Thu, 07 Dec 2023 16:18:20 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python3,
  python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
 Homepage: https://git.sr.ht/~postmarketos/pmbootstrap

## pmbootstrap 2.2.1

=== debian/changelog ===
pmbootstrap (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.1 (Fixes: #1065637)
  * Point d/watch to new source

 -- Vivek K J <vivekkj@disroot.org>  Fri, 05 Apr 2024 19:14:47 +0530

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/postmarketOS/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## pmbootstrap 2.3.1

=== debian/changelog ===
pmbootstrap (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.1 (Closes: #1079785)

 -- Jason Blackwell <blackwell@disroot.org>  Mon, 09 Sep 2024 17:26:13 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  debhelper-compat (= 13),
  dh-python,
  python3,
- python3-setuptools
-Standards-Version: 4.6.2
+ python3-setuptools,
+ pybuild-plugin-pyproject
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
 Homepage: https://git.sr.ht/~postmarketos/pmbootstrap

## pmbootstrap 3.1.0

=== debian/changelog ===
pmbootstrap (3.1.0-2) unstable; urgency=high

  * Team upload
  * Prevent 'Unsupported machine type' on release archs
  * Mark autopkgtest as superficial (Closes: #1094981)

 -- Bastian Germann <bage@debian.org>  Tue, 08 Apr 2025 21:00:32 +0000

pmbootstrap (3.1.0-1) unstable; urgency=medium

  * New upstream version
  * Update description to explain what pmOS is (Closes: #1069772)

 -- Ben Westover <me@benthetechguy.net>  Wed, 01 Jan 2025 19:54:14 -0500

pmbootstrap (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.3

 -- Jason Blackwell <blackwell@disroot.org>  Sun, 03 Nov 2024 13:47:44 -0500

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
-Homepage: https://git.sr.ht/~postmarketos/pmbootstrap
+Homepage: https://postmarketos.org/source-code/
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: pmbootstrap
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, git, kpartx, openssl
 Description: Chroot/build/flash tool to develop and install postmarketOS
  pmbootstrap is the central tool used for development and installation
- of postmarketOS. It works using Alpine chroots to avoid installing
- software on the host's machine.
+ of postmarketOS, a Linux distribution for mobile devices. It works in
+ Alpine chroots to avoid installing software on the host's machine.

## pmbootstrap 3.5.2

=== debian/changelog ===
pmbootstrap (3.5.2-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 08 Jul 2025 13:28:12 -0400

pmbootstrap (3.5.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Fri, 13 Jun 2025 14:34:04 -0400

pmbootstrap (3.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 27 May 2025 23:08:14 -0400

## pmbootstrap 3.6.0

=== debian/changelog ===
pmbootstrap (3.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 07 Oct 2025 17:16:15 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3,
  python3-setuptools,
  pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
 Homepage: https://postmarketos.org/source-code/

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = pmbootstrap
export PYBUILD_DISABLE = test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
# Check Version
Test-Command: pmbootstrap --version
Depends: pmbootstrap
Restrictions: superficial

# Test Help
Test-Command: pmbootstrap --help
Depends: pmbootstrap
Restrictions: superficial

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.postmarketos.org/postmarketOS/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## pmbootstrap 3.7.0

=== debian/changelog ===
pmbootstrap (3.7.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <me@benthetechguy.net>  Tue, 23 Dec 2025 19:55:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pmbootstrap
 Section: devel
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
@@ -9,7 +8,7 @@
  python3,
  python3-setuptools,
  pybuild-plugin-pyproject
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
 Homepage: https://postmarketos.org/source-code/

## pmbootstrap 3.8.0

=== debian/changelog ===
pmbootstrap (3.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <bjw@debian.org>  Sun, 04 Jan 2026 16:34:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pmbootstrap
 Section: devel
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Ben Westover <me@benthetechguy.net>
+Uploaders: Ben Westover <bjw@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -12,7 +12,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/pmbootstrap.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pmbootstrap
 Homepage: https://postmarketos.org/source-code/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: pmbootstrap

## pmbootstrap 3.9.0

=== debian/changelog ===
pmbootstrap (3.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Ben Westover <bjw@debian.org>  Sun, 25 Jan 2026 15:42:12 -0500

=== debian/watch ===
Version: 5
Source: https://gitlab.postmarketos.org/postmarketOS/@PACKAGE@/tags?sort=updated_desc
Matching-Pattern: -/archive/v?\d[\d.]+/pmbootstrap@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
